libadwaita 1.0.0-rc.2 icon indicating copy to clipboard operation
libadwaita: ^1.0.0-rc.2 copied to clipboard

Libadwaita's widgets for Flutter. Following Gnome HIG and available on all platforms.

Libadwaita ❤️ Flutter #

CI GitHub Super-Linter

Pub.dev License Maintainer

Libadwaita's widgets for Flutter. Following Gnome HIG and available on all platforms.

libadwaita example screenshot

NOTE: For getting colors from gtk 3.0 theme use version <=0.9.8+1

Features #

  • Various Libadwaita widgets ported to flutter
  • Some new widgets are also available, Check example for more info
  • Compatible with various packages

Usage #

See the example app in the example folder for more info.

Additional information #

This package is dependent on

Optional packages to use with this package:

Classic API Docs

License #

LGPL v3 / GNU LESSER GENERAL PUBLIC LICENSE v3

TLDR;

  • You are free to use this package in whatever app you want,
  • If you improve the package then you should submit your patches / improvements to this repository.
9
likes
130
pub points
62%
popularity

Libadwaita's widgets for Flutter. Following Gnome HIG and available on all platforms.

Repository (GitHub)
View/report issues

Documentation

API reference

License

LGPL-3.0 (LICENSE)

Dependencies

dbus, flutter, gsettings

More

Packages that depend on libadwaita